Issue14

Title add support for the new (proposed IETF) Metalink standard
Priority wish Status resolved
Superseder Nosy List ant, poeml
Assigned To poeml Keywords

Created on 2009-10-09.00:23:43 by poeml, last changed by poeml.

Messages
msg205 (view) Author: poeml Date: 2010-09-01.16:14:24
Closing. 2.13.0 is shortly before becoming released, after months of testing.
msg158 (view) Author: poeml Date: 2010-03-12.02:49:04
Done!
msg137 (view) Author: poeml Date: 2010-03-08.20:47:06
Working on the required hash cache redesign -- now tracked separately in issue 40.
msg131 (view) Author: poeml Date: 2010-02-16.23:32:45
Largely implemented; one big thing left to do: the hash cache needs to be 
reimplemented. That's something I planned to do anyway, but now I realize that it 
is blocking this implementation. The hash cache currently contains preformatted 
hashes ready for injection into v3 Metalinks. 

But other than that, there is not much left to do. (Commit to trunk pending)
msg36 (view) Author: poeml Date: 2009-10-09.00:27:27
Note to self regarding implementation of the change in timestamp format:

We'll use RFC3339 timestamps instead of RFC822 timestamps in
the future. Cf.
* http://groups.google.com/group/metalink-discussion/browse_thread/thread/44489ba99916aced
* http://groups.google.com/group/metalink-discussion/msg/2b80424f41173cd3

r->request_time, which is attached to the request object, might be useful
instead of apr_time_now(), because it's already filled out and can save the
syscall to time().
msg35 (view) Author: poeml Date: 2009-10-09.00:23:43
Support for Metalinks as defined in the Internet-Draft http://tools.ietf.org/html/draft-bryan-
metalink
should be implemented (as reference implementation and for testing reasons).

http://groups.google.com/group/metalink-discussion/web/internetdraft has additional information.
History
Date User Action Args
2010-09-01 16:14:24poemlsetstatus: testing -> resolved
messages: + msg205
2010-03-12 02:49:04poemlsetstatus: in-progress -> testing
messages: + msg158
2010-03-08 20:47:06poemlsetmessages: + msg137
2010-02-16 23:32:45poemlsetassignedto: poeml
messages: + msg131
2010-02-16 22:36:39poemlsetstatus: chatting -> in-progress
2009-11-04 16:32:08antsetnosy: + ant
2009-10-09 00:43:25poemlsettitle: add support for (new) Metalink standard -> add support for the new (proposed IETF) Metalink standard
2009-10-09 00:27:27poemlsetmessages: + msg36
2009-10-09 00:23:43poemlcreate